Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.projects.list();curl --request GET \
--url https://api.migma.ai/v1/projects \
--header 'Authorization: <api-key>'import requests
url = "https://api.migma.ai/v1/projects"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"success": true,
"data": {
"projects": [
{
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"domain": "<string>",
"logoUrls": {
"primary": "<string>",
"secondary": "<string>",
"favicon": "<string>"
},
"screenshotUrl": "<string>",
"email_create_suggestions": [
"<string>"
]
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
}
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}List Projects
List projects for the authenticated user with basic information only. Use GET /v1/projects/ to get full project details.
GET
/
v1
/
projects
Node.js SDK
import Migma from 'migma';
const migma = new Migma('YOUR_API_KEY');
const { data, error } = await migma.projects.list();Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Query Parameters
The maximum number of results to return (max 100)
The number of items to skip before starting to collect the result set
Filter by project status (pending|processing|active|error)
Was this page helpful?
⌘I